> ## Documentation Index
> Fetch the complete documentation index at: https://developer.setle.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Create new Suggested Renovations

> Creates new calculation jobs for suggested renovation trajectory calculations in a batched way.

See [the single-item endpoint documentation](/api-reference/calculation/suggested-renovation-trajectory-calculation) for more information about this API and its intended usage.


## OpenAPI

````yaml POST /v1/calculation-jobs/suggested-renovation-trajectory-calculation/batch
openapi: 3.0.0
info:
  title: Setle API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.setle.app
security: []
tags: []
paths:
  /v1/calculation-jobs/suggested-renovation-trajectory-calculation/batch:
    post:
      tags:
        - Calculation Job
      description: >-
        Creates new calculation jobs for suggested renovation trajectory
        calculations in a batched way.
      operationId: >-
        PublicCalculationJobsApiController_batchPostSuggestedRenovationTrajectoryCalculationCalculationJob
      parameters: []
      requestBody:
        required: true
        description: Body with required input data.
        content:
          application/json:
            schema:
              type: array
              items:
                type: string
      responses:
        '200':
          description: Successfully processed request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCalculationJobDetailDto'
        '401':
          description: >-
            Request failed because of missing authorization. An access token
            should be provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedHttpException'
        '403':
          description: >-
            Request failed because of missing permissions on the given access
            token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenHttpException'
        '406':
          description: >-
            Request failed because of per-property violations of the API
            specification in one or more of the included input entities.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotAcceptableHttpException'
        '500':
          description: Request failed because of internal server error(s).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorHttpException'
      security:
        - bearer: []
components:
  schemas:
    GetCalculationJobDetailDto:
      type: object
      properties:
        id:
          type: string
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
        external_id:
          type: string
        deactivated_at:
          format: date-time
          type: string
        calculation_job_type:
          enum:
            - EPC_DOCUMENT_PROCESSING
            - ENERGY_EFFICIENCY_INDICATION
            - SUGGESTED_RENOVATION_TRAJECTORY_CALCULATION
          type: string
        calculation_job_status:
          enum:
            - NOT_STARTED
            - RUNNING
            - FINISHED
            - FAILED
            - STOPPED
          type: string
        metadata:
          type: object
        estate_id:
          type: string
        name:
          type: string
        description:
          type: string
        expires_at:
          format: date-time
          type: string
        published_at:
          format: date-time
          type: string
      required:
        - id
        - created_at
        - updated_at
        - external_id
        - deactivated_at
        - calculation_job_type
        - calculation_job_status
        - metadata
        - estate_id
        - name
        - description
        - expires_at
        - published_at
    UnauthorizedHttpException:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - error
    ForbiddenHttpException:
      type: object
      properties:
        statusCode:
          type: number
          example: 403
        error:
          type: string
          example: Forbidden
      required:
        - statusCode
        - error
    NotAcceptableHttpException:
      type: object
      properties:
        statusCode:
          type: number
          example: 406
        message:
          type: object
          example:
            - Name should not be empty.
            - Password must contain at least 1 uppercase character.
        error:
          type: string
          example: Not Acceptable
      required:
        - statusCode
        - message
        - error
    InternalServerErrorHttpException:
      type: object
      properties:
        statusCode:
          type: number
          example: 500
        error:
          type: string
          example: Internal Server Error
      required:
        - statusCode
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````